Compile Date

 Compile Date: 2001-06-12


Input characters that are not on your keyboard

Microsoft Windows graphic

To input characters that are not on your keyboard

  1. Press and hold the ALT key, and then press the keys on the numeric keypad that represent the decimal code value of the character you want to input.
  2. After you finish typing, release the ALT key.

    3. Windows generates the character you specified.

Notes

  • If the first digit you type is 0, the value is recognized as a code point, or character value, in the current input language. For example, when your current input language is US-English (Code page 1252: Windows Latin-1), pressing ALT and then typing 0163 on the numeric keypad produces £, the pound sign (U+00A3). When your current input language is Russia (code page 1251: Windows Cyrillic), the same key sequence produces the Cyrillic capital letter JE (U+0408).
  • If the first digit you type is any number from 1 through 9, the value is recognized as a code point in the system's OEM code page. The result differs depending on the Windows system language specified in Regional and Language Options in Control Panel. For example, if your system language is English (US), the code page is 437 (MS-DOS Latin US), so pressing ALT and then typing 163 on the numeric keypad produces ú (U+00FA, Latin lowercase letter U with acute). If your system language is Greek (OEM code page 737 MS-DOS Greek), the same sequence produces the Greek lowercase letter MU (U+03BC).

Related Topics


Compose a document using multiple languages

To compose a document using multiple languages

  1. Create or open a document.
  2. In the notification area, click the language icon located near the system time, and then click the language you want to use.
  3. Compose your document.
  4. To change languages, click the language icon in the notification area, and then select another language from the list.

Note

  • If the language icon is not in the notification area, click Start, click Control Panel, and then double-click Regional and Language Options. On the Languages tab, select Enable indicator on taskbar.


Insert a Unicode control character

To insert a Unicode control character

  1. In a text box, right-click within the text where you want to insert the Unicode control character, and then click Insert Unicode control character.
  2. Click the control character you want to insert.

Notes

  • Unicode control characters are tags that help with text flow and direction for languages such as Arabic or Hebrew.
  • If you have multiple languages installed on your computer, you can insert a Unicode control character when you right-click any edit control in Windows, such as a text box, or when you use Notepad.


Regional and Language Options overview

Using Regional and Language Options in Control Panel, you can install multiple languages on your computer, such as Hebrew, Arabic, Japanese, Korean, and Western European languages (French, Spanish, German, and many others). You can choose which one you want to use when you create a document. Windows then makes the character set for that language available, so you can start writing.

Both WordPad and Notepad let you create documents in other languages, but a word processing program may include other features, such as spell checkers, to help you write documents in multiple languages.

If you send your document to someone else, the recipient must also have the same languages installed in order to read or edit the file.


Set right-to-left reading order

To set right-to-left reading order

  • In a text box, right-click where you want right-to-left reading order to begin, and then click Right-to-left reading order
    • .

Notes

  • In addition to changing the reading order, right-to-left reading order also justifies text on the right side of the screen for languages that use right-to-left reading order, such as Arabic or Hebrew.
  • If you have multiple languages installed on your computer, you can set right-to-left reading order when you right-click any edit control in Windows, such as a text box, or when you use Notepad.


Show Unicode control characters

To show Unicode control characters

  • Right-click anywhere in a text box, and then click Show Unicode control characters
    • .

Notes

  • Unicode control characters are tags that help with text flow and direction for languages such as Arabic and Hebrew.
  • If you have multiple languages installed on your computer, you can show Unicode control characters when you right-click any edit control in Windows, such as a text box, or when you use Notepad.


Unicode(R)control characters

Unicode® control characters

Unicode control characters are tags that help with text flow and direction for languages such as Arabic and Hebrew. To install these languages, use Regional and Language Options in Control Panel.

These descriptions are adapted from The Unicode Consortium. The Unicode Standard, Version 2.0. Reading, Massachusetts: Addison-Wesley Developers Press, February 1997.

Left-to-right mark (LRM)

Acts exactly like left-to-right characters, except that it is not displayed. LRM does not have any other semantic effect.

Right-to-left mark (RLM)

Acts exactly like right-to-left characters, except that it is not displayed. RLM does not have any other semantic effect.

Zero width joiner (ZWJ)

Prevents the joining of consecutive characters on output.

Zero width non-joiner (ZWNJ)

Adds a non-joiner between two characters to prevent them from forming a cursive connection with each other when rendered.

Start of left-to-right embedding (LRE)

Signals that a piece of text is to be treated as embedded left-to-right. For example, an English quotation in the middle of an Arabic sentence could be marked as being embedded left-to-right text. (LRE affects word order, not character order.)

Start of right-to-left embedding (RLE)

Signals that a piece of text is to be treated as embedded right-to-left. For example, a Hebrew phrase in the middle of an English quotation could be marked as being embedded right-to-left. (RLE affects word order, not character order.)

Start of left-to-right override (LRO)

Overrides bidirectional character types when required for special cases, such as for part numbers. LRO forces characters to be treated as strong left-to-right characters.

Start of right-to-left override (RLO)

Overrides bidirectional character types when required for special cases, such as for part numbers. RLO forces characters to be treated as strong right-to-left characters.

Pop directional formatting (PDF)

Terminates the effects of the last explicit code (either embedding or override) and restores the bidirectional state to what it was before the last LRE, RLE, RLO, or LRO control characters.

National digit shapes substitution (NADS)

Uses national digit shapes to display the U+0030-U+0039 (ASCII numerals). The national digit shapes are determined by the current user locale.

Nominal (European) digit shapes (NODS)

Uses the nominal digit shapes for the digits U+0030-U+0039 (ASCII digits). Nominal digit shapes are Western digits.

Activate symmetric swapping (ASS)

Indicates whether the term LEFT or RIGHT in pairs of character names, such as parentheses, should be interpreted as meaning opening or closing, respectively. (The default state is activated.)

Inhibit symmetric swapping (ISS)

Turns off the symmetric swapping of characters such as parenthesis, so that left and right continue to mean left and right facing, as opposed to opening and closing, when symmetric swapping is on.

Activate Arabic form shaping (AAFS)

Controls the shaping behavior of the Arabic compatibility characters. During the presentation process, certain letterforms may be joined together in cursive connection or ligatures. The shaping selector codes indicate that the character shape determination (glyph selection) process used to achieve this presentation effect is to be either activated or inhibited. (The default state is inhibited.)

Inhibit Arabic form shaping (IAFS)

Inhibits the character shaping determination process, so that characters are not shaped based on position.

Record Separator (Block separator) (RS)

Begins a new line after each line separator.

Unit Separator (Segment separator) (US)

Begins a new paragraph after each paragraph separator.